View Issue Details

IDProjectCategoryView StatusLast Update
0023978mantisbtuipublic2018-08-01 16:10
ReporterbaierAssigned Toatrol 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version2.11.1 
Target Version2.16.0Fixed in Version2.16.0 
Summary0023978: Fonts are not rendered correctly in Windows clients
Description

Hi,
I upgraded yesterday from 2.10.0 to version 2.11.1. Now the fonts on my windows workstation are not rendered correctly (latest google chrome and firefox esr). When I switch over to my linux workstation (kubuntu) (using the same browsers), then the fonts are rendered in the usual fashion.
Please see the two screenshots below.

TagsNo tags attached.

Relationships

related to 0023758 closedsyncguru Allow users to select font family that fits them best 
related to 0023992 closedatrol Font = Times News Roman after Upgrade from v2.7.0 
has duplicate 0023950 closedatrol font sizes far too small 
related to 0022083 closedatrol Local copy of Open Sans font does not include Latin-ext characters 

Activities

baier

baier

2018-02-14 04:58

reporter  

mantis_fonts_ubuntu.png (7,315 bytes)
mantis_fonts_ubuntu.png (7,315 bytes)
mantis_fonts_win7.png (2,890 bytes)
mantis_fonts_win7.png (2,890 bytes)
atrol

atrol

2018-02-14 05:11

developer   ~0058860

Have you changed default setting of $g_cdn_enabled in config_inc.php ?

Are you using the same Mantis user on both systems ?
If not, did you change the new font setting introduced in 2.11.0 0023758 for one of the users ?

Does clearing browser cache on both systems change anything ?

baier

baier

2018-02-14 05:53

reporter   ~0058862

Hi, thanks for the hint. I just added the line $g_cdn_enabled = ON; to my config_inc.php and all is well now.
Thank you! :-)

atrol

atrol

2018-02-14 06:11

developer   ~0058863

Thanks for the feedback.

Although it works for you now, setting $g_cdn_enabled to ON is not what I was asking for.
There should also be no problem with default setting to OFF.

Could you please set back to OFF again and try if clearing browser caches on both systems fixes also the issue ?

baier

baier

2018-02-14 06:21

reporter   ~0058864

I have set it to OFF again. The fonts are ugly again. Clearing the browser's cache didn't help.

atrol

atrol

2018-02-14 11:06

developer   ~0058867

Could you please add also a screenshot for Windows 7 and $g_cdn_enabled = ON; to see the difference to mantis_fonts_win7.png ?

Was mantis_fonts_win7.png Chrome or Firefox ?

baier

baier

2018-02-14 11:21

reporter   ~0058868

Of course, here they are. mantis_fonts_win7.png was a screenshot in Chrome.



baier

baier

2018-02-14 11:23

reporter   ~0058869

No sorry, mantis_fonts_win7.png was on firefox esr 52.6.0

syncguru

syncguru

2018-02-26 18:56

developer   ~0059043

@baier I tried to repro this but I cannot. I am testing against Win7 + Edge. What version of the browser you have the issue on? Also what font family did you choose?

By the way, when $g_cdn_enabled is set to OFF, your choice of font is limited to only 3 fonts while when CDN is on you have up to 30 fonts to chose from.

baier

baier

2018-02-27 03:28

reporter   ~0059048

Edge on Win7? Always thought Edge was Win10 only. I use the default Open Sans font. I use Chrome 64 and Firefox ESR 52.6.0.

syncguru

syncguru

2018-02-27 16:04

developer   ~0059053

@baier You are right, it is Win10 - I am using a virtual machine.
I just tested all the built-in fonts shipped with MantisBT on Win10 + (Chrome & Edge) - they all worked as expected.

r.zobel

r.zobel

2018-03-05 06:25

reporter   ~0059081

Thank you atrol. The »$g_cdn_enabled = ON;« setting fixed an issue with pixelated fonts for me, too (I added a screen without the setting enabled).
There are very nice fonts at the fonts choice option. Thought some fonts are looking weird or doesn't fit in the left menu.



atrol

atrol

2018-06-26 05:03

developer   ~0060166

PR https://github.com/mantisbt/mantisbt/pull/1364

Related Changesets

MantisBT: master 470f65fb

2018-06-26 04:53:15

atrol

Details Diff
Fix font issues when using IE

Fixes 0023978
Fixes 0023992
Affected Issues
0023978, 0023992
mod - css/fonts.css Diff File
rm - fonts/59ZRklaO5bWGqF5A9baEEYX0hVgzZQUfRDuZrPvH3D8.woff2 Diff File
rm - fonts/K88pR3goAWT7BTt32Z01m4X0hVgzZQUfRDuZrPvH3D8.woff2 Diff File
rm - fonts/LWCjsQkB6EMdfHrEVqA1KYX0hVgzZQUfRDuZrPvH3D8.woff2 Diff File
rm - fonts/NX1NravqaXESu9fFv7KuqgsYbbCjybiHxArTLjt7FRU.woff2 Diff File
rm - fonts/RjgO7rYTmqiVp7vzi-Q5UYX0hVgzZQUfRDuZrPvH3D8.woff2 Diff File
rm - fonts/SKK6Nusyv8QPNMtI4j9J2wsYbbCjybiHxArTLjt7FRU.woff2 Diff File
rm - fonts/cJZKeOuBrn4kERxqtaUH3ZBw1xU1rKptJj_0jans920.woff2 Diff File
rm - fonts/dDzx7Qrpf6EUDCpeO-RralKPGs1ZzpMvnHX-7fPOuAc.woff2 Diff File
rm - fonts/gFXtEMCp1m_YzxsBpKl68gsYbbCjybiHxArTLjt7FRU.woff2 Diff File
add - fonts/montserrat-v12-cyrillic-ext-regular.woff Diff File
add - fonts/montserrat-v12-cyrillic-ext-regular.woff2 Diff File
add - fonts/montserrat-v12-cyrillic-regular.woff Diff File
add - fonts/montserrat-v12-cyrillic-regular.woff2 Diff File
add - fonts/montserrat-v12-latin-ext-regular.woff Diff File
add - fonts/montserrat-v12-latin-ext-regular.woff2 Diff File
add - fonts/montserrat-v12-latin-regular.woff Diff File
add - fonts/montserrat-v12-latin-regular.woff2 Diff File
add - fonts/montserrat-v12-vietnamese-regular.woff Diff File
add - fonts/montserrat-v12-vietnamese-regular.woff2 Diff File
add - fonts/open-sans-v15-cyrillic-ext-regular.woff Diff File
add - fonts/open-sans-v15-cyrillic-ext-regular.woff2 Diff File
add - fonts/open-sans-v15-cyrillic-regular.woff Diff File
add - fonts/open-sans-v15-cyrillic-regular.woff2 Diff File
add - fonts/open-sans-v15-greek-ext-regular.woff Diff File
add - fonts/open-sans-v15-greek-ext-regular.woff2 Diff File
add - fonts/open-sans-v15-greek-regular.woff Diff File
add - fonts/open-sans-v15-greek-regular.woff2 Diff File
add - fonts/open-sans-v15-latin-ext-regular.woff Diff File
add - fonts/open-sans-v15-latin-ext-regular.woff2 Diff File
add - fonts/open-sans-v15-latin-regular.woff Diff File
add - fonts/open-sans-v15-latin-regular.woff2 Diff File
add - fonts/open-sans-v15-vietnamese-regular.woff Diff File
add - fonts/open-sans-v15-vietnamese-regular.woff2 Diff File
add - fonts/poppins-v5-devanagari-regular.woff Diff File
add - fonts/poppins-v5-devanagari-regular.woff2 Diff File
add - fonts/poppins-v5-latin-ext-regular.woff Diff File
add - fonts/poppins-v5-latin-ext-regular.woff2 Diff File
add - fonts/poppins-v5-latin-regular.woff Diff File
rm - fonts/rBHvpRWBkgyW99dXT88n7wsYbbCjybiHxArTLjt7FRU.woff2 Diff File
rm - fonts/u-WUoqrET9fUeobQW7jkRYX0hVgzZQUfRDuZrPvH3D8.woff2 Diff File
rm - fonts/w5uwZf-mdghB6LOAw_y9AFKPGs1ZzpMvnHX-7fPOuAc.woff2 Diff File
rm - fonts/xozscpT2726on7jbcb_pAoX0hVgzZQUfRDuZrPvH3D8.woff2 Diff File
rm - fonts/zhcz-_WihjSQC0oHJ9TCYAzyDMXhdD8sAj6OAJTFsBI.woff2 Diff File

Issue History

Date Modified Username Field Change
2018-02-14 04:58 baier New Issue
2018-02-14 04:58 baier File Added: mantis_fonts_ubuntu.png
2018-02-14 04:58 baier File Added: mantis_fonts_win7.png
2018-02-14 05:11 atrol Status new => feedback
2018-02-14 05:11 atrol Note Added: 0058860
2018-02-14 05:53 baier Note Added: 0058862
2018-02-14 05:53 baier Status feedback => new
2018-02-14 06:11 atrol Status new => feedback
2018-02-14 06:11 atrol Note Added: 0058863
2018-02-14 06:21 baier Note Added: 0058864
2018-02-14 06:21 baier Status feedback => new
2018-02-14 10:41 distest File Added: Capture.JPG
2018-02-14 10:41 distest File Added: common.log
2018-02-14 10:41 distest File Added: Capture-2.JPG
2018-02-14 10:47 distest File Added: test.gif
2018-02-14 10:51 atrol File Deleted: Capture.JPG
2018-02-14 10:51 atrol File Deleted: common.log
2018-02-14 10:51 atrol File Deleted: test.gif
2018-02-14 10:51 atrol File Deleted: Capture-2.JPG
2018-02-14 11:06 atrol Status new => feedback
2018-02-14 11:06 atrol Note Added: 0058867
2018-02-14 11:21 baier File Added: mantis_fonts_win7_cdnenabled_chrome64.0.png
2018-02-14 11:21 baier File Added: mantis_fonts_win7_cdnenabled_ff52.6.0esr.png
2018-02-14 11:21 baier Note Added: 0058868
2018-02-14 11:21 baier Status feedback => new
2018-02-14 11:23 baier Note Added: 0058869
2018-02-18 06:42 atrol Relationship added related to 0023758
2018-02-18 06:45 atrol Relationship added related to 0023992
2018-02-22 18:03 atrol Relationship added has duplicate 0023950
2018-02-26 18:56 syncguru Note Added: 0059043
2018-02-27 03:28 baier Note Added: 0059048
2018-02-27 16:04 syncguru Note Added: 0059053
2018-03-05 06:25 r.zobel File Added: 2018-03-05 12_07_46-Greenshot Editor.png
2018-03-05 06:25 r.zobel Note Added: 0059081
2018-06-26 05:03 atrol Note Added: 0060166
2018-06-26 05:03 atrol Assigned To => atrol
2018-06-26 05:03 atrol Status new => assigned
2018-06-26 09:12 atrol Target Version => 2.16.0
2018-06-27 06:58 atrol Changeset attached => MantisBT master 470f65fb
2018-06-27 06:58 atrol Status assigned => resolved
2018-06-27 06:58 atrol Resolution open => fixed
2018-06-27 06:58 atrol Fixed in Version => 2.16.0
2018-07-30 00:57 vboctor Status resolved => closed
2018-08-01 16:10 atrol Relationship added related to 0022083